dioddate(8)

NAME
dioddate - get server system time

SYNOPSIS
dioddate [OPTIONS] [-s NAME] [file [file...]]

DESCRIPTION
dioddate obtains the current system time and zone information from a diod server by reading ctl:date. If the --set-time option is specified, sets the local system time on the client; otherwise prints the server time on stdout.

This is a simple way to obtain rough time synchronization before issuing a MUNGE-authenticated attach request, for example in a bootstrap environment where the "ctl" synthetic file system is exported with the "noauth" option.

OPTIONS

-s, --server NAME
    The server in IP[:PORT], HOST[:PORT], or /path/to/socket form (default localhost:564).

-m, --msize SIZE
    The maximum request size including 9P headers (default 65536).

-u, --uid UID
    Try to attach to the server as the specified user (default your effective uid).

-t, --timeout SECS
    Force timeout after specified number of seconds (default no timeout).

-S, --set-time
    Set the local system time to match the server's time.

SEE ALSO
diod (8)